/*  - Variables globales -  */

:root {
    --cien: 100%;
    --negro: black;
    --blanco: white;
    --corporativoPrincipal: #134c7e;
    --corporativoComplementario: #2180bb;
}

html{
    ::-webkit-scrollbar {
        width: 10px;
    }

    ::-webkit-scrollbar-track {
        background: #a9a9a9;
    }

    ::-webkit-scrollbar-thumb {
        background: var(--corporativoPrincipal);
        border-radius: 0;
    }

    ::-webkit-scrollbar-thumb:hover {
        background: var(--corporativoComplementario);
    }
}

body {
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
}



body::before {
    content: "";
    position: fixed;
    inset: 0;
    background-color: var(--corporativoPrincipal);
    z-index: -2;
}

/* - General - */

section {
    scroll-snap-align: start;
    scroll-snap-stop: always;
}

section.nosotros,
section.servicios,
section.clientes {
    min-height: calc(var(--vh) * 100);
    height: calc(var(--vh) * 100);
}



section.nosotros {
    height: 100vh;
    width: var(--cien);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    header.header {
        width: var(--cien);
        height: 28%;
        display: flex;
        justify-content: center;
        align-items: center;

        div.logo {
            width: 25%;
            height: var(--cien);
            padding-left: 50px;

            img {
                width: 240px;
            }
        }

        div.links {
            width: 60%;
            height: var(--cien);
            gap: 80px;

        }

        a.link {
            font-weight: 200;
            font-size: 20px;
            color: var(--blanco);
            cursor: pointer;
        }

        div.internacionalizacion {
            width: 15%;
            height: var(--cien);
            padding-right: 50px;

            img {
                width: 46px;
                cursor: pointer;
            }
        }

        div.logo,
        div.links,
        div.internacionalizacion {
            display: flex;
            justify-content: center;
            align-items: center;
        }
    }

    .contenido-nosotros {
        width: var(--cien);
        height: 82%;
        display: flex;
        justify-content: center;
        align-items: end;

        .mountain {
            width: 50%;
            height: 70%;
            margin-left: -115px;

            img {
                width: var(--cien);
                height: var(--cien);
            }
        }

        .text {
            width: 50%;
            height: var(--cien);
            margin-left: -125px;
            color: var(--blanco);
            display: flex;
            justify-content: start;
            align-items: end;
            flex-direction: column;
            text-align: end;
            gap: 20px;
            padding-top: 60px;

            h1 {
                font-weight: bold;
                width: 410px;
                font-size: 64px;
                line-height: 1;
                letter-spacing: 3px;
            }

            h3 {
                line-height: 1;
                font-weight: 300;
                width: 600px;
                font-size: 21px;
            }
        }
    }
}



section.servicios {
    height: 100vh;
    width: var(--cien);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    div.title-servicios {
        width: 65%;
        height: 30%;
        border-bottom: 2px solid var(--blanco);
        display: flex;
        justify-content: center;
        align-items: end;

        h1 {
            color: var(--blanco);
            font-weight: bold;
            font-size: 52px;
            letter-spacing: 5px;
        }

        h2.subtitle-clientes {
            display: none;
            color: transparent;

        }
    }

    div.tarjetas-servicios {
        width: var(--cien);
        height: 70%;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 60px;

        .process,
        .indubatch,
        .merco {
            width: 20%;
            height: 42%;
            border-radius: 20px;
            background: rgba(255, 255, 255, 0.123);
            border-radius: 16px;
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
            backdrop-filter: blur(6.5px);
            -webkit-backdrop-filter: blur(6.5px);
            display: flex;
            justify-content: center;
            align-items: center;
            box-shadow: 0px 0px 61px -13px rgba(255, 255, 255, 0.45) inset;
            -webkit-box-shadow: 0px 0px 61px -13px rgba(255, 255, 255, 0.45) inset;
            -moz-box-shadow: 0px 0px 61px -13px rgba(255, 255, 255, 0.45) inset;
            margin-bottom: 20px;

            img {
                width: 55%;
            }
        }

        .indubatch {
            margin-bottom: 85px;
        }
    }
}



section.clientes {
    height: 100vh;
    width: var(--cien);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;

    div.title-clientes {
        width: 7%;
        height: var(--cien);
        display: flex;
        justify-content: center;
        align-items: center;
        padding-left: 30px;

        h1 {
            color: var(--blanco);
            transform: rotate(270deg);
            letter-spacing: 8px;
            font-size: 38px;
            min-width: 680px;
            white-space: nowrap;
            border-bottom: 2px solid var(--blanco);
            text-align: center;
        }
    }

    .tratamiento-logo {
        width: 4%;
        height: 90%;
        display: flex;
        justify-content: center;
        align-items: center;

        p {
            color: rgba(255, 255, 255, 0.482);
            min-width: 650px;
            min-width: 650px;
            transform: rotate(270deg);
            text-align: center;
            margin-left: 0px;
            line-height: 1.1;
        }
    }

    .carrusel {
        width: 80%;
        height: var(--cien);
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        overflow: hidden;

        .tarjetas-carrusel {
            width: var(--cien);
            height: 81%;
            display: flex;
            justify-content: center;
            align-items: end;
            flex-direction: column;
            overflow: hidden;
            position: relative;
            gap: 10px;
        }

        .top,
        .bottom {
            width: var(--cien);
            height: 42%;
            display: flex;
            justify-content: start;
            align-items: center;
            gap: 60px;
            flex-shrink: 0;
            overflow: hidden;
        }

        .bottom {
            padding-left: 130px;
        }

        .tarjeta {
            aspect-ratio: 1/1;
            max-width: 220px;
            min-width: 220px;
            min-height: 220px;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background: rgba(255, 255, 255, 0.28);
            box-shadow: 0 4px 30px rgba(255, 255, 255, 0.23) inset;
            

            .imagen {
                width: 42%;
                height: 50%;
                display: flex;
                justify-content: center;
                align-items: center;

                img {
                    width: 85px;
                    height: auto;
                    margin-bottom: 10px;
                }
            }

            .info {
                color: var(--blanco);
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: column;

                h1 {
                    font-weight: 800;
                    margin-bottom: -9%;
                    font-size: 15px;
                    line-height: .9;
                    text-align: center;

                }

                h3 {
                    font-size: 12px;
                    margin-top: 9px;
                }
            }
        }
    }
}




section.contacto {
    height: 34%;
    background-color: var(--corporativoPrincipal);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 100px;

    div.siguenos,
    div.contactanos {
        height: 70%;
        width: 30%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: column;

        h1 {
            color: var(--blanco);
        }
    }

    .box-bottom,
    .box-top {
        width: 70%;
        height: 80%;
        justify-content: center;
        align-items: center;
        display: flex;
        flex-direction: column;
    }

    .box-bottom {
        border-top: 2px solid var(--blanco);
        border-radius: 10px;
        color: var(--blanco);
        padding-top: 15px;
    }

    .box-top {
        border-bottom: 2px solid var(--blanco);
        border-radius: 10px;
        margin-bottom: 30px;
        padding-bottom: 20px;
    }

    #siguenos {
        flex-direction: row;
        padding: 0 20px 15px 20px;
        gap: 35px;
        align-items: end;
    }

    a.redes {
        width: 35px;
        height: 35px;
    }

    a.contacto {
        text-decoration: underline;
        font-size: 19px;
    }

    a.contacto-form{
        width: 85%;
        height: 30px;
        border-radius: 15px;
        background-color: var(--blanco);
        color: var(--corporativoPrincipal);
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 13px;
        margin-top: 10px;
        padding-top: 3px;
    }

    a.contacto-form:hover{
        background-color: #ffffff72;
        color: var(--blanco);
    }
}

canvas {
    position: fixed;
    /* el canvas siempre mide lo mismo */
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    /* siempre el alto exacto del canvas de Vanta */
    pointer-events: none;
    z-index: -1;
}